--- old/usr/src/uts/common/disp/ts.c	sam. juil. 16 15:13:52 2016
+++ new/usr/src/uts/common/disp/ts.c	sam. juil. 16 15:13:52 2016
@@ -74,7 +74,7 @@
 };
 
 static struct modlinkage modlinkage = {
-	MODREV_1, (void *)&modlsched, NULL
+	MODREV_1, { (void *)&modlsched, NULL }
 };
 
 int
@@ -239,41 +239,41 @@
 
 static struct classfuncs ts_classfuncs = {
 	/* class functions */
-	ts_admin,
-	ts_getclinfo,
-	ts_parmsin,
-	ts_parmsout,
-	ts_vaparmsin,
-	ts_vaparmsout,
-	ts_getclpri,
-	ts_alloc,
-	ts_free,
+	{   ts_admin,
+	    ts_getclinfo,
+	    ts_parmsin,
+	    ts_parmsout,
+	    ts_vaparmsin,
+	    ts_vaparmsout,
+	    ts_getclpri,
+	    ts_alloc,
+	    ts_free },
 
 	/* thread functions */
-	ts_enterclass,
-	ts_exitclass,
-	ts_canexit,
-	ts_fork,
-	ts_forkret,
-	ts_parmsget,
-	ts_parmsset,
-	ts_nullsys,	/* stop */
-	ts_exit,
-	ts_nullsys,	/* active */
-	ts_nullsys,	/* inactive */
-	ts_swapin,
-	ts_swapout,
-	ts_trapret,
-	ts_preempt,
-	ts_setrun,
-	ts_sleep,
-	ts_tick,
-	ts_wakeup,
-	ts_donice,
-	ts_globpri,
-	ts_nullsys,	/* set_process_group */
-	ts_yield,
-	ts_doprio,
+	{   ts_enterclass,
+	    ts_exitclass,
+	    ts_canexit,
+	    ts_fork,
+	    ts_forkret,
+	    ts_parmsget,
+	    ts_parmsset,
+	    ts_nullsys,	/* stop */
+	    ts_exit,
+	    ts_nullsys,	/* active */
+	    ts_nullsys,	/* inactive */
+	    ts_swapin,
+	    ts_swapout,
+	    ts_trapret,
+	    ts_preempt,
+	    ts_setrun,
+	    ts_sleep,
+	    ts_tick,
+	    ts_wakeup,
+	    ts_donice,
+	    ts_globpri,
+	    ts_nullsys,	/* set_process_group */
+	    ts_yield,
+	    ts_doprio },
 };
 
 /*
@@ -284,41 +284,41 @@
  */
 static struct classfuncs ia_classfuncs = {
 	/* class functions */
-	ts_admin,
-	ia_getclinfo,
-	ia_parmsin,
-	ts_parmsout,
-	ia_vaparmsin,
-	ia_vaparmsout,
-	ia_getclpri,
-	ts_alloc,
-	ts_free,
+	{   ts_admin,
+	    ia_getclinfo,
+	    ia_parmsin,
+	    ts_parmsout,
+	    ia_vaparmsin,
+	    ia_vaparmsout,
+	    ia_getclpri,
+	    ts_alloc,
+	    ts_free },
 
 	/* thread functions */
-	ts_enterclass,
-	ts_exitclass,
-	ts_canexit,
-	ts_fork,
-	ts_forkret,
-	ia_parmsget,
-	ia_parmsset,
-	ts_nullsys,	/* stop */
-	ts_exit,
-	ts_nullsys,	/* active */
-	ts_nullsys,	/* inactive */
-	ts_swapin,
-	ts_swapout,
-	ts_trapret,
-	ts_preempt,
-	ts_setrun,
-	ts_sleep,
-	ts_tick,
-	ts_wakeup,
-	ts_donice,
-	ts_globpri,
-	ia_set_process_group,
-	ts_yield,
-	ts_doprio,
+	{   ts_enterclass,
+	    ts_exitclass,
+	    ts_canexit,
+	    ts_fork,
+	    ts_forkret,
+	    ia_parmsget,
+	    ia_parmsset,
+	    ts_nullsys,	/* stop */
+	    ts_exit,
+	    ts_nullsys,	/* active */
+	    ts_nullsys,	/* inactive */
+	    ts_swapin,
+	    ts_swapout,
+	    ts_trapret,
+	    ts_preempt,
+	    ts_setrun,
+	    ts_sleep,
+	    ts_tick,
+	    ts_wakeup,
+	    ts_donice,
+	    ts_globpri,
+	    ia_set_process_group,
+	    ts_yield,
+	    ts_doprio },
 };
 
 
